Skip to main content
PUT
/
v1.1
/
pix-automatic
/
plans
/
{planId}
Update Plan
curl --request PUT \
  --url https://api.paymee.com.br/v1.1/pix-automatic/plans/{planId} \
  --header 'Content-Type: application/json' \
  --data '
{
  "recurrenceAmount": 22.5
}
'

Path Parameters

planId
string
required

The plan id (24-char ObjectId) returned on creation.

Body

application/json
title
string
Required string length: 3 - 100
description
string
Required string length: 5 - 35
frequency
enum<string>
Available options:
WEEKLY,
MONTHLY,
QUARTERLY,
SEMIANNUAL,
ANNUALLY
period
integer

Number of occurrences. 0 = open-ended. Applies to new subscriptions only.

Required range: 0 <= x <= 100
imediateAmount
number
Required range: x >= 0.01
recurrenceAmount
number

Current plan amount. Next charges of VARIABLE subscriptions follow this value.

Required range: x >= 0.01
minimumRecurrenceAmount
number
Required range: x >= 0.01
retryPolicy
enum<string>
Available options:
NOT_ACCEPT,
ACCEPT_3R_7D
enabled
boolean

Response

Plan updated. Returns the full updated plan.